Name:		war1gus
Summary:	Warcraft: Orc & Humans data game set for the Stratagus engine (need game data)
Version:	3.3.2
Release:	%mkrel 1
License:	GPLv2
Group:		Games/Strategy
URL:		https://stratagus.com/war1gus.html
Source0:	https://github.com/Wargus/war1gus/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		war1gus-3.3.2-aarch64.patch
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	stratagus-devel = %{version}
BuildRequires:	libstdc++-static-devel

Requires:	stratagus = %{version}
Recommends:	ffmpeg
Recommends:	ffmpeg2theora

%description
War1gus is a re-implementation of “Warcraft: Orcs & Humans” that allows you
to play Warcraft with the Stratagus engine.
The game uses graphics and sounds from the original Warcraft,
but improves the gameplay mechanisms with many modern conveniences that the
Stratagus engine allows, such as modern mouse controls, named groups,
larger group selection, more player factions in multiplayer games, a map
editor, and multiple towns.

During the first start of War1gus you will be asked for a copy of the original
Warcraft, so that the installer can extract the data. Both the DOS CD and
Floppy versions should work. Extracting the data from demo, shareware.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc COPYING README.md
%{_gamesbindir}/%{name}
%{_bindir}/war1tool
%{_gamesdatadir}/stratagus/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Dec 29 2022 daviddavid <daviddavid> 3.3.2-1.mga9
+ Revision: 1927904
- new version: 3.3.2

* Sat Apr 02 2022 umeabot <umeabot> 3.0.0-4.mga9
+ Revision: 1840393
- Mageia 9 Mass Rebuild

* Mon Apr 05 2021 daviddavid <daviddavid> 3.0.0-3.mga9
+ Revision: 1713734
- fix aarch64 support

* Mon Apr 05 2021 daviddavid <daviddavid> 3.0.0-2.mga9
+ Revision: 1713727
- initial package war1gus

